
# ======================
# macOS system files
# ======================
.DS_Store
.AppleDouble
.LSOverride

# Thumbnails
._*

# Spotlight
.Spotlight-V100
.Spotlight-V100/*
.spotlight*
.Trashes

# Time Machine
.com.apple.timemachine.donotpresent

# Finder metadata
.fseventsd
.VolumeIcon.icns

# iCloud
*.icloud

# ======================
# macOS Archives
# ======================
*.zip
*.tar
*.tar.gz
*.tgz
*.dmg

# ======================
# Swap / temp files
# ======================
*.swp
*.swo
*.tmp
*.temp
*~

# ======================
# IDE/editor noise (common)
# ======================
.vscode/*
!.vscode/settings.json
!.vscode/extensions.json
!.vscode/tasks.json
.idea/
*.iml
